`timescale 1ns / 1ps

//******************************************************************************
//* MiniRISC CPU v2.0                                                          *
//*                                                                            *
//* 16 x 8 bites regisztertmb egy rsi s kt olvassi porttal. Az rsi     *
//* port s az X olvassi port cm bemenete azonos. A megvalsts elosztott   *
//* memrit hasznl.                                                          *
//******************************************************************************
module reg_file(
   //rajel.
   input  wire       clk,
   
   //Az rsi s az X olvassi port.
   input  wire [3:0] addr_x,        //A regiszter cme
   input  wire       write_en,      //rs engedlyez jel
   input  wire [7:0] wr_data_x,     //A regiszterbe rand adat
   output wire [7:0] rd_data_x,     //A regiszterben trolt adat
   
   //Az Y olvassi port.
   input  wire [3:0] addr_y,        //A regiszter cme
   output wire [7:0] rd_data_y      //A regiszterben trolt adat
);

//******************************************************************************
//* A 16 x 8 bites elosztott RAM deklarlsa.                                  *
//******************************************************************************
(* ram_style = "distributed" *)
reg [7:0] reg_file_ram [15:0];


//******************************************************************************
//* Az rsi port megvalstsa. Az rs szinkron mdon trtnik.              *
//******************************************************************************
always @(posedge clk)
begin
   if (write_en)
      reg_file_ram[addr_x] <= wr_data_x;
end


//******************************************************************************
//* Az X olvassi port megvalstsa. Az olvass aszinkron mdon trtnik.     *
//******************************************************************************
assign rd_data_x = reg_file_ram[addr_x];


//******************************************************************************
//* Az Y olvassi port megvalstsa. Az olvass aszinkron mdon trtnik.     *
//******************************************************************************
assign rd_data_y = reg_file_ram[addr_y];


endmodule
